<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class CotxeAutoritzat extends Model
{
    protected $table = 'cotxe_autoritzat';
    protected $primaryKey = 'id';
    //per desactivar camps a la taula update at i created at
    public $timestamps = false;
    /** Insertar cotxe
     * @param $matricula
     * @param $marca
     * @param $model
     * @param $dni
     * @return string
     */
    public function insertCotxeAutoritzat($matricula, $marca, $model){
        $this->matricula = $matricula;
        $this->marca = $marca;
        $this->model = $model;
        $this->save();
        return True;
    }

    /** Llostar cotxes
     * @return mixed
     */
    public function llistaCotxeAutoritzat(){
        return $this->get();
    }
    /** Cerca cotxe segons matricula
     * @param $matricula
     * @return bool
     */
    public function searchCotxeAutoritzat($matricula){
        if($this->where('matricula', $matricula)->first()){
            return True;
        }
        return False;
    }

    /** Eliminar cotxe de la bbdd
     * @param $id
     * @return mixed
     */
    public function borrarCotxeAutoritzat($id){
        return $this->where('id', $id)->delete();
    }
}
